%define	major 4
%define libname %mklibname zip %{major}
%define devname %mklibname zip -d

Summary:	A C library for reading, creating, and modifying zip archives
Name:		libzip
Version:	1.1.2
Release:	1
Group:		System/Libraries
License:	BSD
Url:		http://www.nih.at/libzip/
Source0:	http://www.nih.at/libzip/%{name}-%{version}.tar.xz
Patch0:		libzip-1.0.1-fix_pkgconfig.patch
Patch1:		libzip-1.0.1-fix_headers.patch
BuildRequires:	libtool
BuildRequires:	pkgconfig(zlib)

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%files
%doc AUTHORS NEWS THANKS
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptool
%{_mandir}/man1/zipcmp.1*
%{_mandir}/man1/zipmerge.1*
%{_mandir}/man1/ziptool.1*

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	A C library for reading, creating, and modifying zip archives
Group:          System/Libraries

%description -n	%{libname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%files -n %{libname}
%{_libdir}/libzip.so.%{major}*

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{name} = %{EVRD}
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n	%{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%doc AUTHORS NEWS THANKS
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libzip.pc
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure2_5x \
    --disable-static
%make

%install
INSTALL_HEADER=%{_includedir} 
%makeinstall_std

%changelog

* Thu Apr 28 2016 dsilakov <denis.silakov@rosalab.ru> 1.1.2-1
- (9c2bdf1) Merge pull request #1 from alzim/libzip:rosa2014.1
- (9c2bdf1) Updated to 1.1.2


